org.codehaus.plexus.util

## Interface DirectoryWalkListener

-     public interface DirectoryWalkListener

  DirectoryWalkListener
  Version:
    $Id: DirectoryWalkListener.java 8010 2009-01-07 12:59:50Z vsiveton $

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String message)`
    `void` | `directoryWalkFinished()` The directory walking has finished.
    `void` | `directoryWalkStarting(java.io.File basedir)` The directory walking has begun.
    `void` | `directoryWalkStep(int percentage, java.io.File file)` The included entry that was encountered.

- - ### Method Detail

    - #### directoryWalkStarting

          void directoryWalkStarting(java.io.File basedir)

      The directory walking has begun.
      Parameters:
        `basedir` - the basedir that walk started in.

    - #### directoryWalkStep

          void directoryWalkStep(int percentage,
                                 java.io.File file)

      The included entry that was encountered.
      Parameters:
        `percentage` - rough percentage of the walk completed. (inaccurate)
        `file` - the file that was included.

    - #### directoryWalkFinished

          void directoryWalkFinished()

      The directory walking has finished.

    - #### debug

          void debug(java.lang.String message)